package praktikum01;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class ZahlenfilterTest {


    @Test
    void filter() {
        assertTrue(Zahlenfilter.filter(7));

        // Testfall 2: Zahl, die die Filterkriterien nicht erfüllt (z.B. 15 - teilbar durch 5)
        assertFalse(Zahlenfilter.filter(15));

    }

    @Test
    void checkDivisibleBy5() {

        assertTrue(Zahlenfilter.checkDivisibleBy5(10));

        // Testfall 2: Zahl, die nicht durch 5 teilbar ist
        assertFalse(Zahlenfilter.checkDivisibleBy5(7));
    }

    @Test
    void checkEndsWith9() {

        assertTrue(Zahlenfilter.checkEndsWith9(29));

        // Testfall 2: Zahl, die nicht auf 9 endet
        assertFalse(Zahlenfilter.checkEndsWith9(20));

    }

    @Test
    void checkSumDivisibleBy3() {
        assertTrue(Zahlenfilter.checkSumDivisibleBy3(4, 2));

        // Testfall 2: Summe von zwei Zahlen, die nicht durch 3 teilbar ist (z.B. 4 + 3 = 7)
        assertFalse(Zahlenfilter.checkSumDivisibleBy3(4, 3));

    }
}